packeth_1.6.5-2build1_amd64.deb


Advertisement

Description

packeth - Ethernet packet generator

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename packeth_1.6.5-2build1_amd64.deb
Package name packeth
Package version 1.6.5
Package release 2build1
Package architecture amd64
Package type deb
Category universe/net
Homepage http://packeth.sourceforge.net
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 110.75 KB
Installed size 396.00 KB
packeth is a GUI packet generator tool for Ethernet.
It allows you to create and send any possible packet
or sequence of packets via Ethernet. It also
supports the PCAP format, so you can load packets
from any other program (i.e. wireshark).
You can create and send any Ethernet packet. The
supported protocols are: Ethernet II, Ethernet
802.3, 802.1q, QinQ, ARP, IPv4, UDP, TCP, ICMP,
IGMP, RTP.

Alternatives

Package Version Architecture Repository
packeth_1.6.5-2build1_i386.deb 1.6.5 i386 Ubuntu Universe
packeth - - -

Requires

Name Value
libatk1.0-0 >= 1.12.4
libc6 >= 2.7
libgdk-pixbuf2.0-0 >= 2.22.0
libglib2.0-0 >= 2.12.0
libgtk2.0-0 >= 2.8.0

Download

Type URL
Mirror archive.ubuntu.com
Binary Package packeth_1.6.5-2build1_amd64.deb
Source Package packeth

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install packeth deb package:
    # sudo apt-get install packeth

Files

Path
/usr/bin/packeth
/usr/share/applications/packeth.desktop
/usr/share/doc/packeth/changelog.Debian.gz
/usr/share/doc/packeth/copyright
/usr/share/man/man1/packeth.1.gz
/usr/share/menu/packeth
/usr/share/packeth/pixmaps/Build.xpm
/usr/share/packeth/pixmaps/Gen.xpm
/usr/share/packeth/pixmaps/X.xpm
/usr/share/packeth/pixmaps/future.xpm
/usr/share/packeth/pixmaps/interface.xpm
/usr/share/packeth/pixmaps/load.xpm
/usr/share/packeth/pixmaps/preference.xpm
/usr/share/packeth/pixmaps/reset.xpm
/usr/share/packeth/pixmaps/save.xpm
/usr/share/packeth/pixmaps/save16.xpm
/usr/share/packeth/pixmaps/send.xpm

Changelog

2018-04-03 - Balint Reczey <rbalint@ubuntu.com>
packeth (1.6.5-2build1) bionic; urgency=high
* No change rebuild to pick up -fPIE compiler default
2011-09-13 - David Paleino <dapal@debian.org>
packeth (1.6.5-2) unstable; urgency=low
* Fix FTBFS because of wrong link order, thanks to Colin Watson
(Closes: #641422)
* Standards-Version bumped to 3.9.2, no changes needed
* Bump debhelper compatibility to 8
2010-03-04 - David Paleino <dapal@debian.org>
packeth (1.6.5-1) unstable; urgency=low
* New upstream version
* debian/control:
- updated my email address
- DMUA removed
- bumped Standards-Version to 3.8.4 (no changes needed)
- bumped debhelper dependency to >= 7.0.50~, to use
overridden rules
- removed Build-Dependency on quilt
* debian/rules:
- use dh7
- rename /usr/bin/packETH to /usr/bin/packeth
* debian/watch updated
* debian/source/format: use 3.0 (quilt)
* debian/patches/:
- fix_pixmaps.patch removed, fixed upstream
- fix_warnings.patch updated, and renamed to 01-fix_warnings.patch
- fix_Makefile.patch removed, fixed in debian/rules
- 02-fix_typo.patch added
* debian/examples removed, no more available upstream
* debian/packeth.1 manually rewritten, without using docbook sources
* debian/copyright: point to the non-symlink license
2009-10-31 - David Paleino <d.paleino@gmail.com>
packeth (1.6.3-1) unstable; urgency=low
* New upstream version
* debian/rules rewritten to adapt to new source layout
- debian/manpages added
- debian/examples added
- debian/dirs added
* debian/control:
- bumped quilt Build-Depends to >= 0.46-7~ (to use --with quilt in
dh7)
- Standards-Version bumped to 3.8.3 (no changes needed)
* debian/patches/* refreshed to cleanly apply
2009-02-17 - David Paleino <d.paleino@gmail.com>
packeth (1.6.2-3) unstable; urgency=low
* debian/rules:
- fix clean target, FTBFS because of cruft left in debian/
(Closes: #515719)
2009-02-15 - David Paleino <d.paleino@gmail.com>
packeth (1.6.2-2) unstable; urgency=low
* Upload to unstable.
2009-02-01 - David Paleino <d.paleino@gmail.com>
packeth (1.6.2-1) experimental; urgency=low
* New Upstream Version
* debian/copyright updated
* debian/control:
- setting DM-Upload-Allowed
* Packaging switched to dh7
2008-12-31 - David Paleino <d.paleino@gmail.com>
packeth (1.6-2) unstable; urgency=low
* [67fe44f] Packaging converted to git: fixed Vcs-* urls accordingly
* [dc4ed8d] Adding .desktop file
* [a2b61db] Added menu file (Closes: #501384)
* [dd20a8f] debian/rules updated
* [e999125] debian/changelog updated
* [bc31532] Added descriptions to the patches
* [3a7c40c] Standards-Version bump to 3.8.0, debian/README.source
added.
* [2a748ea] Fixed menu section
2008-02-21 - David Paleino <d.paleino@gmail.com>
packeth (1.6-1) unstable; urgency=low
* New upstream release
* debian/control:
- "Ethernet" not capitalized in descriptions (Closes: #466497)
- debhelper dependency bumped to 6 (also debian/compat)
2008-02-16 - David Paleino <d.paleino@gmail.com>
packeth (1.5-2) unstable; urgency=low
* debian/patches/fix_pixmaps.patch added (Closes: #465999)

See Also

Package Description
packit_1.6.1-2_amd64.deb network packet generator and capture tool
packup_0.6-3_amd64.deb CUDF solver based on pseudo-Boolean constraints
pacman4console_1.3-1build3_amd64.deb ncurses-based pacman game
pacman_10-17.2_amd64.deb Chase Monsters in a Labyrinth
paco_0.10-1.1_all.deb Transitional package to pull in porg
pacpl_6.1.0-1_all.deb multi-purpose audio converter/ripper/tagger script
pads_1.2-11.1ubuntu2_amd64.deb Passive Asset Detection System
padthv1-common_0.8.6-1_amd64.deb old-school polyphonic additive synthesizer - common files
padthv1-lv2_0.8.6-1_amd64.deb old-school polyphonic additive synthesizer - LV2 plugin
padthv1_0.8.6-1_amd64.deb old-school polyphonic additive synthesizer - standalone app
paexec_1.1.0-1_amd64.deb execute tasks in parallel
page-crunch_1.0.1-3_all.deb PDF and PS manipulation for printing needs
pagein_0.01.01-1_amd64.deb tool to force swapped out pages to be resident in memory
pagekite_0.5.9.3-2_all.deb Make localhost servers publicly visible
pagemon_0.01.14-1_amd64.deb interactive memory/page monitoring tool
Advertisement
Advertisement